<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <title>
    Notification service
  </title>
  <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no'
    name='viewport' />
  <!--     Fonts and icons     -->
  <link rel="stylesheet" type="text/css"
    href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
  <!-- CSS Files -->
  <link href="/stylesheets/material-kit.css" rel="stylesheet" />
  <script src="https://code.jquery.com/jquery-3.4.1.min.js" type="text/javascript"></script>
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>

</head>

<body class="login-page sidebar-collapse">

  <div class="page-header header-filter"
    style="background-image: url('/images/bg.jpg'); background-size: cover; background-position: top center;">
    <div class="container">
      <div class="row">
        <div class="col-8 ml-auto mr-auto">
          <div class="form">
            <div class="card card-login card-hidden">
              <div class="card-header card-header-primary text-center">
                <h4 class="card-title">Notification service</h4>
              </div>
              <div class="card-body ">
                <span class="bmd-form-group">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="material-icons">title</i>
                      </span>
                    </div>
                    <input name="title" id="title" type="text" class="form-control" placeholder="Title">
                  </div>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="material-icons">text_fields</i>
                      </span>
                    </div>
                    <textarea rows="5" name="msg_content" id="msg_content" type="text" class="form-control"
                      placeholder="Message content"></textarea>
                  </div>
                </span>
              </div>

              <div class="card-footer justify-content-center mt-3">
                <button href="#" class="btn btn-info btn-round" id="send-notify">
                  <i class="material-icons">textsms</i> Send notification
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <footer class="footer">
      <div class="container">

        <div class="copyright float-left">
          &copy;
          <script>
            document.write(new Date().getFullYear())
          </script>
          , made by
          <a href="#" target="_blank">VDAT Team</a>
        </div>
      </div>
    </footer>
  </div>

</body>
<script>
  $(document).ready(() => {

    $("#send-notify").on('click', () => {

      Swal.fire({
        background: "RGBA(255,255,255,0)",
        allowOutsideClick: false
      })
      Swal.showLoading();

      let data = {
        'msg_content': $("#msg_content").val(),
        'title': $("#title").val()
      };
      let settings = {
        async: false,
        url: '/send-notify',
        method: 'POST',
        data: JSON.stringify(data),
        headers: {
          "Content-Type": "application/json"
        },
      };
      settings.complete = (data) => {
        console.log(data);
        if (data.status == 200) {
          Swal.fire({
            icon: 'success',
            allowOutsideClick: false,
            type: 'success',
            title: "Successfully",
            showConfirmButton: false,
            timer: 1500
          })
        } else {
          Swal.fire({
            icon:'error',
            allowOutsideClick: false,
            type: 'error',
            title: 'Something went error, please try again!',
            text: text,
          })
        }

      }

      $.ajax(settings);




    })




  })



</script>

</html>